# 官方文档
# https://v2raya.org/docs/prologue/introduction

---
version: "3"
# 最后编辑时间：2024-03-11
services:
  v2raya:
    image: mzz2017/v2raya:latest
    # 镜像地址
    container_name: v2raya
    # 容器名字
    hostname: v2raya
    # 主机名
    privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限
    volumes:
      - /lib/modules:/lib/modules:ro
      # 内核，如果不支持或者不想使用全局透明代理，则注释掉
      - /volume1/docker/v2raya/etc/resolv.conf:/etc/resolv.conf
      # 需要预先创建好一个文件，不然会创建成文件夹；上面这条如果/etc内没有或不会进去新建resolv.conf，可以写下面这条
      # - /volume1/docker/v2raya/etc/resolv.conf:/etc/resolv.conf
      - /volume1/docker/v2raya/v2raya:/etc/v2raya
      # 配置文件
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 2017:2017/tcp
      # WebUI 端口
      # - 20170:20170/tcp
      # sock代理端口
      # - 20171:20171/tcp
      # http代理端口
      # - 20172:20172/tcp
      # https代理端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
